Linux Mint 19.2 Cinnamon compile error

Do you need help? Ask here!

Bug reporting belongs here: http://developer.wz2100.net/newticket
Post Reply
jkluth
New user
Posts: 3
Joined: 27 Nov 2019, 07:39

Linux Mint 19.2 Cinnamon compile error

Post by jkluth » 27 Nov 2019, 07:47

When I try to compile using the compile script from the Linux compile guide for Mint (changing libpng12 (obsolete)to libpng I get the error"
E: The value 'xenial' is invalid for APT::Default-Release as such a release is not available in the sources
" and now when I try to refresh my update manager or use my package manager it throws the same error. Am I completely hosed or is there some fix other than reinstalling Linux and all of my software?

User avatar
andrvaut
Trained
Trained
Posts: 198
Joined: 02 Jan 2016, 12:44

Re: Linux Mint 19.2 Cinnamon compile error

Post by andrvaut » 27 Nov 2019, 13:20

You can describe in more detail exactly what actions you performed and attach logs with errors.
If you still have the full action logs.

You did not connect third-party PPA?
vaut ΣΑ [GN], ru streamer.
Tournaments channel: https://www.youtube.com/channel/UCzusNa-54ydodtSz2TdHFww

jkluth
New user
Posts: 3
Joined: 27 Nov 2019, 07:39

Re: Linux Mint 19.2 Cinnamon compile error

Post by jkluth » 28 Nov 2019, 10:22

I did a copy and paste of the Linux Mint compile guide into terminal. With the exception of changing libpng12-dev to libpng-dev I made no other changes to the script.
sudo apt-get install -y autoconf automake build-essential qtscript5-dev libpng-dev libtheora-dev libopenal-dev libvorbis-dev libglew-dev libphysfs-dev libfribidi-dev libfreetype6-dev libharfbuzz-dev libfontconfig1-dev libgl1-mesa-dev gdb docbook-xsl libxml2-utils xsltproc asciidoc wkhtmltopdf gettext
sudo -i
printf 'deb http://archive.ubuntu.com/ubuntu artful main restricted universe multiverse\n' >> /etc/apt/sources.list.d/official-package-repositories.list
printf 'APT::Default-Release "xenial";\n' > /etc/apt/apt.conf.d/00local
apt-get update
apt-get install -y -t artful libsdl2-dev
exit

Upon further research I find that xenial is an earlier version of Ubuntu than the version Mint 19.2 is using (bionic). As the instructions were tested for 18.3 is it possible that the script included a reference to xenial and that somehow corrupted apt-get?

User avatar
andrvaut
Trained
Trained
Posts: 198
Joined: 02 Jan 2016, 12:44

Re: Linux Mint 19.2 Cinnamon compile error

Post by andrvaut » 28 Nov 2019, 11:32

You need to remove the added lines from
/etc/apt/sources.list.d/official-package-repositories.list
and remove file
/etc/apt/apt.conf.d/00local

You should already have SDL ≥ 2.0.5 in the official repositories. You do not need to connect third-party PPA.
vaut ΣΑ [GN], ru streamer.
Tournaments channel: https://www.youtube.com/channel/UCzusNa-54ydodtSz2TdHFww

jkluth
New user
Posts: 3
Joined: 27 Nov 2019, 07:39

Re: Linux Mint 19.2 Cinnamon compile error

Post by jkluth » 30 Nov 2019, 11:20

This fixed it. Thank you very much for the assistance.

Post Reply